Output of data to inlets/outlets of this object
Flext in-/outlet functions

## Functions

void | flext_base::ToSelfBang (int n) const
| Send bang to self (inlet n) More...
void | flext_base::ToSelfFloat (int n, float f) const
| Send float to self (inlet n) More...
void | flext_base::ToSelfInt (int n, int f) const
| Send integer to self (inlet n) More...
void | flext_base::ToSelfBool (int n, bool f) const
| Send boolean to self (inlet n) More...
void | flext_base::ToSelfDouble (int n, double d) const
| Send double to self (index n starts with 0) More...
void | flext_base::ToSelfSymbol (int n, const t_symbol *s) const
| Send symbol to self (inlet n) More...
void | flext_base::ToSelfString (int n, const char *s) const
| Send string aka symbol to self (inlet 0) More...
void | flext_base::ToSelfAtom (int n, const t_atom &at) const
| Output atom (index n starts with 0) More...
void | flext_base::ToSelfList (int n, int argc, const t_atom *argv) const
| Send list to self (inlet n) More...
void | flext_base::ToSelfList (int n, const AtomList &list) const
| Send list to self (inlet n) More...
void | flext_base::ToSelfAnything (int n, const t_symbol *s, int argc, const t_atom *argv) const
| Send anything to self (inlet n) More...
void | flext_base::ToSelfAnything (int n, const AtomAnything &any) const
| Send anything to self (inlet n) More...

## Detailed Description

## Function Documentation

## ToSelfAnything() [1/2]

void flext_base::ToSelfAnything | ( | int | n,
|  | const AtomAnything & | any
| ) |  | const

inline

Send anything to self (inlet n)

## ToSelfAnything() [2/2]

void flext_base::ToSelfAnything | ( | int | n,
|  | const t_symbol * | s,
|  | int | argc,
|  | const t_atom * | argv
| ) |  | const

inline

Send anything to self (inlet n)

## ToSelfAtom()

void flext_base::ToSelfAtom | ( | int | n,
|  | const t_atom & | at
| ) |  | const

inline

Output atom (index n starts with 0)

## ToSelfBang()

void flext_base::ToSelfBang | ( | int | n | ) | const

inline

Send bang to self (inlet n)

## ToSelfBool()

void flext_base::ToSelfBool | ( | int | n,
|  | bool | f
| ) |  | const

inline

Send boolean to self (inlet n)

## ToSelfDouble()

void flext_base::ToSelfDouble | ( | int | n,
|  | double | d
| ) |  | const

inline

Send double to self (index n starts with 0)

## ToSelfFloat()

void flext_base::ToSelfFloat | ( | int | n,
|  | float | f
| ) |  | const

inline

Send float to self (inlet n)

## ToSelfInt()

void flext_base::ToSelfInt | ( | int | n,
|  | int | f
| ) |  | const

inline

Send integer to self (inlet n)

## ToSelfList() [1/2]

void flext_base::ToSelfList | ( | int | n,
|  | const AtomList & | list
| ) |  | const

inline

Send list to self (inlet n)

## ToSelfList() [2/2]

void flext_base::ToSelfList | ( | int | n,
|  | int | argc,
|  | const t_atom * | argv
| ) |  | const

inline

Send list to self (inlet n)

## ToSelfString()

void flext_base::ToSelfString | ( | int | n,
|  | const char * | s
| ) |  | const

inline

Send string aka symbol to self (inlet 0)

## ToSelfSymbol()

void flext_base::ToSelfSymbol | ( | int | n,
|  | const t_symbol * | s
| ) |  | const

inline

Send symbol to self (inlet n)